Subject: bug#42371: Grafts max out build slots without being queued

From: zimoun <[email-masked]>
Date: Thu, 16 Jul 2020 13:04:26 +0200

Dear Maxim,

On Wed, 15 Jul 2020 at 12:13, Maxim Cournoyer <[email-masked]> wrote:

> ./pre-inst-env guix build --quiet --keep-going --check
> [email-masked] gnome-shell-extension-gsconnect@33
> [email-masked] arc-theme@20190917 [email-masked]
> [email-masked] [email-masked] [email-masked]
> [email-masked] [email-masked] [email-masked]
> [email-masked] [email-masked] [email-masked] [email-masked]
> [email-masked] [email-masked]
> [email-masked] [email-masked]
> [email-masked] [email-masked] --max-jobs=1

Instead, I have run:

--8<---------------cut here---------------start------------->8---
guix build --keep-going --check ruby_version
gnome-shell-extension-gsconnect numix-gtk-theme arc-theme gnome
ruby-fakefs git-minimal ruby-fast-gettext ruby-sass-rails mailcatcher
ruby-rspec-its warzone2100 keepassxc wsjtx js8call ruby-web-console
hello ruby-autoprefixer-rails ruby-jekyll-paginate-v2 ruby-solargraph
--max-jobs=1
--8<---------------cut here---------------end--------------->8---

replacing the 2 unknown packages ruby-yard-with-tests and ruby-protobuf
by git-minimal and hello.

And it passes.  I have 10 guixbuilder users, as it is by default. :-)

> The following derivations will be built:
>    /gnu/store/w5qba9nzswv7ysrlxfwcqdvrf9vsgbk6-ruby-jekyll-paginate-v2-2.0.0.drv
>    /gnu/store/4r1ziw3cb5n5jgknd1jfsvdl46cz56f9-ruby-autoprefixer-rails-9.4.7.drv
>    /gnu/store/2f674244hhb399p86z15zgv246sj78gr-ruby-web-console-3.7.0.drv
>    /gnu/store/sqy6f63vzgbyk6jg1zigxvks9g365wfs-ruby-rspec-its-1.3.0.drv
>    /gnu/store/zz34dh2q37r21r2d26k7z5rpryysc3km-ruby-sass-rails-5.0.7.drv
>    /gnu/store/62nlbfwd2jf01nm0p0wlc9sgvn5yp6gc-ruby-fakefs-1.2.2.drv
>    /gnu/store/pjdh08jh7pxlfm4dcz86bg5xqbjyf4lm-gnome-3.34.2.drv
>    /gnu/store/xqdvar6gmkz28003md4w9c1mqvg0slas-arc-theme-20190917.drv
>    /gnu/store/qwmj9b493ays4dvgkmniq61fnxg3claw-numix-gtk-theme-2.6.7.drv
>    /gnu/store/s112ayw6qg86y7j45r5yslfl151ngvgn-ruby_version-1.0.2.drv
> The following grafts will be made:
>    /gnu/store/ww8blyc1nkf788jjb3anh22dylibvbah-ruby-solargraph-0.36.0.drv
>    /gnu/store/c7bfyqfq8d7imgy8il7wzqpx3qpx4zpw-ruby-asciidoctor-pdf-1.5.3-1.f25ea78.drv
>    /gnu/store/cf501w2kdgw6k2gv6n24ikhzww8f51x7-ruby-yard-with-tests-0.9.25.drv
>    /gnu/store/da8hhcaj20z06f2kww0sg4y24ma034dy-js8call-2.2.0.drv
>    /gnu/store/zn1jkg86fpji54s0pa0lfnf1dy00s2nh-wsjtx-2.2.2.drv
>    /gnu/store/77g250mf14rskilpsggn070y4fjrbngx-keepassxc-2.6.0.drv
>    /gnu/store/5k393vfm5qw442ya7v061q5fmjvhhcs5-warzone2100-3.4.0.drv
>    /gnu/store/5d4h76qsr0rmbkn2c0zilyjr7mpzk5pd-mailcatcher-0.7.1.drv
>    /gnu/store/mxm64sm569fyhdmxh6jlvdl18fwdb6f6-ruby-fast-gettext-2.0.3.drv
>    /gnu/store/wglga3r1j6x87hqksrh5d1ra70kl729l-ruby-protobuf-3.10.3.drv
>    /gnu/store/73nw9dxmmp8jykhmzwdpc3wk7mn81yal-gnome-shell-extension-gsconnect-33.drv
> guix build: error: all build users are currently in use; consider
> creating additional users and adding them to the `guixbuild' group

How many users do you have?  What are they doing?

All the best,
simon